Bug 1339739 - Option --skip-broken is missing
Summary: Option --skip-broken is missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 18:03 UTC by Ivo Dimitrov
Modified: 2017-03-10 10:56 UTC (History)
8 users (show)

Fixed In Version: dnf-2.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 10:56:00 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivo Dimitrov 2016-05-25 18:03:06 UTC
Description of problem:
Option dnf --skip-broken is missing

Version-Release number of selected component (if applicable):
Fedora release 23

How reproducible:
always

Steps to Reproduce:
1. rpm -qa | grep dnf
2. rpm -qa | grep yumex


Actual results:
1. rpm -qa | grep dnf
dnf-plugins-core-0.1.21-1.fc23.noarch
dnf-langpacks-conf-0.15.1-1.fc23.noarch
dnf-conf-1.1.9-1.fc23.noarch
dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch
python3-dnfdaemon-0.3.11-1.fc23.noarch
dnfdaemon-0.3.11-1.fc23.noarch
python3-dnf-langpacks-0.15.1-1.fc23.noarch
dnf-1.1.9-1.fc23.noarch
dnf-plugin-spacewalk-2.4.15-1.fc23.noarch
yumex-dnf-4.1.6-1.fc23.noarch
python3-dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch
dnf-automatic-1.1.9-1.fc23.noarch
python3-dnf-1.1.9-1.fc23.noarch
python3-dnf-plugins-core-0.1.21-1.fc23.noarch
dnf-langpacks-0.15.1-1.fc23.noarch
dnf-plugin-subscription-manager-1.17.6-1.fc25.x86_64
dnf-plugins-extras-0.0.12-2.fc24.noarch
dnf-yum-1.1.9-1.fc23.noarch

2. rpm -qa | grep yumex
yumex-dnf-4.1.6-1.fc23.noarch
yumex-3.0.17-2.fc23.noarch

Expected results:


Additional info:

Comment 1 Parag Nemade 2016-05-26 03:02:39 UTC
Please check this dnf documentation -> http://dnf.readthedocs.io/en/latest/cli_vs_yum.html#no-skip-broken

Comment 2 Alexander Todorov 2016-05-26 08:46:13 UTC
Parag,
the new syntax is way more non-intuitive. I've also struggled with the missing --skip-broken and tried googling the solution but wasn't able to find it. 

Setting Sev/Prio to medium since a workaround exists. 

Are you guys open to a --skip-broken backward compatibility option ? I can send a pull request if you are willing to accept it.

Comment 3 Fedora Admin XMLRPC Client 2016-07-08 09:35:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-11-25 09:08:10 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jaroslav Mracek 2016-11-28 11:58:54 UTC
The option is provided by PR: https://github.com/rpm-software-management/dnf/pull/663

Comment 6 Jaroslav Mracek 2017-03-10 10:56:00 UTC
Fixed in dnf-2.0.1-1 and released into rawhide


Note You need to log in before you can comment on or make changes to this bug.